Package twisted :: Package protocols :: Module oscar |
[frames | no frames]

## Module twisted.protocols.oscar

An implementation of the OSCAR protocol, which AIM and ICQ use to communcate.

This module is unstable.

Maintainer: Paul Swartz

Classes
`BOSConnection` |
`ChatNavService` |
`ChatService` |
`OscarAuthenticator` |
`OscarConnection` |
`OSCARService` |
`OSCARUser` |
`SNACBased` |
`SSIBuddy` |
`SSIGroup` |

Function Summary
| `dehtml(text)`
| `encryptPasswordICQ(password)`
| `encryptPasswordMD5(password, key)`
| `html(text)`
| `logPacketData(data)`
| `readSNAC(data)`
| `readTLVs(data, count)`
| `SNAC(fam, sub, id, data, flags)`
| `TLV(type, value)`

Variable Summary
`str` | `CAP_CHAT` = `'t\x8f$ b\x87\x11\xd1\x82"DEST\x00\x00'`
`str` | `CAP_GAMES` = `'\tF\x13GL\x7f\x11\xd1\x82"DEST\x00\x00'`
`str` | `CAP_GET_FILE` = `'\tF\x13HL\x7f\x11\xd1\x82"DEST\x00\x00'`
`str` | `CAP_ICON` = `'\tF\x13FL\x7f\x11\xd1\x82"DEST\x00\x00'`
`str` | `CAP_IMAGE` = `'\tF\x13EL\x7f\x11\xd1\x82"DEST\x00\x00'`
`str` | `CAP_SEND_FILE` = `'\tF\x13CL\x7f\x11\xd1\x82"DEST\x00\x00'...`
`str` | `CAP_SEND_LIST` = `'\tF\x13KL\x7f\x11\xd1\x82"DEST\x00\x00'...`
`str` | `CAP_VOICE` = `'\tF\x13AL\x7f\x11\xd1\x82"DEST\x00\x00'`
`int` | `FLAP_CHANNEL_CLOSE_CONNECTION` = 4
`int` | `FLAP_CHANNEL_DATA` = 2
`int` | `FLAP_CHANNEL_ERROR` = 3
`int` | `FLAP_CHANNEL_NEW_CONNECTION` = 1
`int` | `SERVICE_CHAT` = 14
`int` | `SERVICE_CHATNAV` = 13
`dict` | `serviceClasses` = `{13: <class twisted.protocols.oscar.Cha...`
`int` | `TLV_CLIENTMAJOR` = 23
`int` | `TLV_CLIENTMINOR` = 24
`int` | `TLV_CLIENTNAME` = 3
`int` | `TLV_CLIENTSUB` = 26
`int` | `TLV_COUNTRY` = 14
`int` | `TLV_LANG` = 15
`int` | `TLV_PASSWORD` = 37
`int` | `TLV_USERNAME` = 1
`int` | `TLV_USESSI` = 74

Variable Details

    ### CAP_CHAT Type: `str` Value:
        't\x8f$ b\x87\x11\xd1\x82"DEST\x00\x00'

    ### CAP_GAMES Type: `str` Value:
        '\tF\x13GL\x7f\x11\xd1\x82"DEST\x00\x00'

    ### CAP_GET_FILE Type: `str` Value:
        '\tF\x13HL\x7f\x11\xd1\x82"DEST\x00\x00'

    ### CAP_ICON Type: `str` Value:
        '\tF\x13FL\x7f\x11\xd1\x82"DEST\x00\x00'

    ### CAP_IMAGE Type: `str` Value:
        '\tF\x13EL\x7f\x11\xd1\x82"DEST\x00\x00'

    ### CAP_SEND_FILE Type: `str` Value:
        '\tF\x13CL\x7f\x11\xd1\x82"DEST\x00\x00'

    ### CAP_SEND_LIST Type: `str` Value:
        '\tF\x13KL\x7f\x11\xd1\x82"DEST\x00\x00'

    ### CAP_VOICE Type: `str` Value:
        '\tF\x13AL\x7f\x11\xd1\x82"DEST\x00\x00'

    ### FLAP_CHANNEL_CLOSE_CONNECTION Type: `int` Value:
        4

    ### FLAP_CHANNEL_DATA Type: `int` Value:
        2

    ### FLAP_CHANNEL_ERROR Type: `int` Value:
        3

    ### FLAP_CHANNEL_NEW_CONNECTION Type: `int` Value:
        1

    ### SERVICE_CHAT Type: `int` Value:
        14

    ### SERVICE_CHATNAV Type: `int` Value:
        13

    ### serviceClasses Type: `dict` Value:
        {13: <class twisted.protocols.oscar.ChatNavService at 0x8ad3fa4>,
         14: <class twisted.protocols.oscar.ChatService at 0x8ad419c>}

    ### TLV_CLIENTMAJOR Type: `int` Value:
        23

    ### TLV_CLIENTMINOR Type: `int` Value:
        24

    ### TLV_CLIENTNAME Type: `int` Value:
        3

    ### TLV_CLIENTSUB Type: `int` Value:
        26

    ### TLV_COUNTRY Type: `int` Value:
        14

    ### TLV_LANG Type: `int` Value:
        15

    ### TLV_PASSWORD Type: `int` Value:
        37

    ### TLV_USERNAME Type: `int` Value:
        1

    ### TLV_USESSI Type: `int` Value:
        74

Generated by Epydoc 2.0 on Sat Oct 25 00:55:09 2003 | http://epydoc.sf.net